<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.dbcp2.PoolingConnection.StatementType (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.dbcp2.PoolingConnection.StatementType (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/class-use/PoolingConnection.StatementType.html" target="_top">Frames</a></li>
<li><a href="PoolingConnection.StatementType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.dbcp2.PoolingConnection.StatementType" class="title">Uses of Class<br>org.apache.commons.dbcp2.PoolingConnection.StatementType</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.dbcp2">org.apache.commons.dbcp2</a></td>
<td class="colLast">
<div class="block">
 Database Connection Pool API.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.dbcp2">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a> in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> that return <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a></code></td>
<td class="colLast"><span class="typeNameLabel">PStmtKey.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#getStmtType--">getStmtType</a></span>()</code>
<div class="block">The SQL statement type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a></code></td>
<td class="colLast"><span class="typeNameLabel">PoolingConnection.StatementType.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">PoolingConnection.StatementType.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> with parameters of type <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a></code></td>
<td class="colLast"><span class="typeNameLabel">PoolingConnection.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html#createKey-java.lang.String-int-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">createKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
         int&nbsp;resultSetType,
         int&nbsp;resultSetConcurrency,
         int&nbsp;resultSetHoldability,
         <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block">Creates a PStmtKey for the given arguments.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a></code></td>
<td class="colLast"><span class="typeNameLabel">PoolingConnection.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html#createKey-java.lang.String-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">createKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
         int&nbsp;resultSetType,
         int&nbsp;resultSetConcurrency,
         <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block">Creates a PStmtKey for the given arguments.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a></code></td>
<td class="colLast"><span class="typeNameLabel">PoolingConnection.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html#createKey-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-">createKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
         <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block">Creates a PStmtKey for the given arguments.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> with parameters of type <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency,
        int&nbsp;resultSetHoldability,
        <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-"><code>PStmtKey.PStmtKey(String, String, String, int, int, int, PoolingConnection.StatementType)</code></a></span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency,
        <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-"><code>PStmtKey.PStmtKey(String, String, String, int, int, PoolingConnection.StatementType)</code></a>.</span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-"><code>PStmtKey.PStmtKey(String, String, String, PoolingConnection.StatementType)</code></a>.</span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-java.lang.Integer-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;autoGeneratedKeys)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-java.lang.Integer-"><code>PStmtKey.PStmtKey(String, String, String, PoolingConnection.StatementType, Integer)</code></a></span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency,
        int&nbsp;resultSetHoldability,
        <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-int-int-org.apache.commons.dbcp2.PoolingConnection.StatementType-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        int&nbsp;resultSetType,
        int&nbsp;resultSetConcurrency,
        <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#PStmtKey-java.lang.String-java.lang.String-java.lang.String-org.apache.commons.dbcp2.PoolingConnection.StatementType-java.lang.Integer-">PStmtKey</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema,
        <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">PoolingConnection.StatementType</a>&nbsp;statementType,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;autoGeneratedKeys)</code>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.StatementType.html" title="enum in org.apache.commons.dbcp2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/class-use/PoolingConnection.StatementType.html" target="_top">Frames</a></li>
<li><a href="PoolingConnection.StatementType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
